### Hierarchy

- EventTarget
  - VideoTrackList

### Indexable

[index: number]: VideoTrack

## Index

### Properties

- EventTarget
- length
- onaddtrack
- onchange
- onremovetrack
- selectedIndex

### Methods

- addEventListener
- dispatchEvent
- getTrackById
- item
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15321

### onaddtrack

onaddtrack: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15322

### onchange

onchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15323

### onremovetrack

onremovetrack: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15324

### selectedIndex

selectedIndex: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15325

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15328

  #### Type parameters

  - #### K: keyof VideoTrackListEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: VideoTrackList, ev: VideoTrackListEventMap[K]): any

      - #### Parameters

        - ##### this: VideoTrackList

        - ##### ev: VideoTrackListEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15329

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getTrackById

- getTrackById(id: string): VideoTrack | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15326

  #### Parameters

  - ##### id: string

  #### Returns VideoTrack | null

### item

- item(index: number): VideoTrack

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15327

  #### Parameters

  - ##### index: number

  #### Returns VideoTrack

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15330

  #### Type parameters

  - #### K: keyof VideoTrackListEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: VideoTrackList, ev: VideoTrackListEventMap[K]): any

      - #### Parameters

        - ##### this: VideoTrackList

        - ##### ev: VideoTrackListEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15331

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc